[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.DoAllocateResources

Performs actions needed to allocate resources for the class instance.

## Declaration

Source position: graphics.pp line 658

`protected procedure TPen.DoAllocateResources; override;`

## Description

DoAllocateResources is an overridden method used to allocate resources for the class instance. DoAllocateResources calls the inherited method , and calls GetReference to initialize the Reference property used in the class instance.

## See also

TPen.Reference |  | A Reference made to this Pen.